### Virtual Method

# Gio Icon to_tokens

since: 2.20

#### Declaration

    gboolean
    to_tokens (
      GIcon* icon,
      GPtrArray* tokens,
      gint* out_version
    )

#### Description

Serializes the `icon` into string tokens. This is can be invoked when `g_icon_new_for_string()` is called.

Available since: 2.20

#### Parameters

`tokens`

  Type: An array of `utf8`

  The array to fill with tokens.

  The argument will be set by the function.
  The data is owned by the function.
  Each element is a NUL terminated UTF-8 string.

`out_version`

  Type: `gint*`

  Version of serialized tokens.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if serialization took place, `FALSE` otherwise.